using System;
using System.Reflection;

internal sealed class Delegate785 : MulticastDelegate
{
	public extern FieldInfo[] Invoke(object object_0);

	public static FieldInfo[] smethod_0(object object_0, Delegate785 delegate785_1)
	{
		return delegate785_1(object_0);
	}

	public extern Delegate785(object object_0, IntPtr intptr_0);

	static Delegate785()
	{
		Class10.smethod_13(typeof(Delegate785).TypeHandle);
	}

	internal static Delegate785 delegate785_0;
}
